Subject: Re: bug#21340: 24.5; trash-directory uses FreeDesktop location on OSX

From: Stefan Monnier <[email-masked]>
Date: Tue, 25 Aug 2015 18:18:40 -0400

> I don't use OS X, but it sounds to like it would be better to change the
> default value of trash-directory to
> (if (eq system-type 'darwin) "~/.Trash/")

Or to define a system-move-file-to-trash, which defers to the
(presumably existing) system function that does that for us.

        Stefan